Package: org.gradle.plugins.ear.descriptor

## [Java] Interface EarWebModule

- org.gradle.plugins.ear.descriptor.EarWebModule

- All Superinterfaces:
    EarModule

  A module element in a deployment descriptor like application.xml that has a web child element.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getContextRoot()` The context-root element specifies the context root of a web application.
    `void` | `setContextRoot(String contextRoot)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface EarModule` | `getAltDeployDescriptor, getPath, setAltDeployDescriptor, setPath, toXmlNode`

- - ### Method Detail

    - #### public String getContextRoot()

      The context-root element specifies the context root of a web application.

    - #### public void setContextRoot(String contextRoot)